Public Attributes | List of all members
cgms_cp_cmd_req_t Struct Reference
BLE Services » Continuous Glucose Monitoring Service (CGMS) » Structures

`#include <cgms.h>`

## Public Attributes
cgms_cp_cmd_code_t | cp_code
union {
uint8_t comm_interval_in_minutes
cgms_time_t start_time
cgms_cal_value_t cal_value
int16_t cal_data_rec_num
int16_t patient_high_alert_level
int16_t patient_low_alert_level
int16_t hypo_alert_level
int16_t hyper_alert_level
int16_t rate_of_dec_alert_level
int16_t rate_of_inc_alert_level
} | param

## Detailed Description

Definition at line 292 of file cgms.h.

## Member Data Documentation

## ◆ cal_data_rec_num

int16_t cgms_cp_cmd_req_t::cal_data_rec_num

Definition at line 300 of file cgms.h.

## ◆ cal_value

cgms_cal_value_t cgms_cp_cmd_req_t::cal_value

Definition at line 299 of file cgms.h.

## ◆ comm_interval_in_minutes

uint8_t cgms_cp_cmd_req_t::comm_interval_in_minutes

Definition at line 297 of file cgms.h.

## ◆ cp_code

cgms_cp_cmd_code_t cgms_cp_cmd_req_t::cp_code

Definition at line 294 of file cgms.h.

## ◆ hyper_alert_level

int16_t cgms_cp_cmd_req_t::hyper_alert_level

Definition at line 304 of file cgms.h.

## ◆ hypo_alert_level

int16_t cgms_cp_cmd_req_t::hypo_alert_level

Definition at line 303 of file cgms.h.

## ◆ param

union { ... } cgms_cp_cmd_req_t::param

## ◆ patient_high_alert_level

int16_t cgms_cp_cmd_req_t::patient_high_alert_level

Definition at line 301 of file cgms.h.

## ◆ patient_low_alert_level

int16_t cgms_cp_cmd_req_t::patient_low_alert_level

Definition at line 302 of file cgms.h.

## ◆ rate_of_dec_alert_level

int16_t cgms_cp_cmd_req_t::rate_of_dec_alert_level

Definition at line 305 of file cgms.h.

## ◆ rate_of_inc_alert_level

int16_t cgms_cp_cmd_req_t::rate_of_inc_alert_level

Definition at line 306 of file cgms.h.

## ◆ start_time

cgms_time_t cgms_cp_cmd_req_t::start_time

Definition at line 298 of file cgms.h.

The documentation for this struct was generated from the following file:

- cgms.h